aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--app-text/landslide/Manifest2
-rw-r--r--app-text/landslide/landslide-1.0.1.ebuild34
2 files changed, 36 insertions, 0 deletions
diff --git a/app-text/landslide/Manifest b/app-text/landslide/Manifest
new file mode 100644
index 0000000..bf6206f
--- /dev/null
+++ b/app-text/landslide/Manifest
@@ -0,0 +1,2 @@
+DIST landslide-1.0.1.tar.gz 101203 RMD160 ae7c203a9ac2d5706e8276902a38a9f05ed512f3 SHA1 6c22fb26e3ba81bebdc1cf3722c26676ab2e0e4a SHA256 07ac7acf3b9f04230cbabffe3dfd8edc225d584e0c64ddc3dfbaa0db1e21455a
+EBUILD landslide-1.0.1.ebuild 794 RMD160 14f0c6dd295fcf8f337527922c56b359bb60f52a SHA1 cb160684194b8bec2df6519f6c9c05159c6e547c SHA256 7c9f36084cb0cbf7cfd1690b98c1f2e582024093eb8faa528be74a90d9e50898
diff --git a/app-text/landslide/landslide-1.0.1.ebuild b/app-text/landslide/landslide-1.0.1.ebuild
new file mode 100644
index 0000000..1845e88
--- /dev/null
+++ b/app-text/landslide/landslide-1.0.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit distutils python
+
+DESCRIPTION="Landslide generates a slideshow using the slides that power the html5-slides presentation"
+HOMEPAGE="https://github.com/adamzap/landslide"
+SRC_URI="https://github.com/adamzap/landslide/tarball/v${PV} -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+PYTHON_DEPEND="2"
+
+DEPEND=""
+RDEPEND="dev-python/docutils
+ dev-python/jinja
+ dev-python/markdown
+ dev-python/pygments"
+
+pkg_setup() {
+ python_set_active_version 2
+ python_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+ mv adamzap-landslide-* ${P} || die
+}